API
Google Search API
The AI-powered Google provides 360° Global Media Data & Intelligence on Google Search, Google News, advertisers, SEO professionals, and content discoverability teams.
API 参考 版本: 1.0.0 6 终端 身份验证
基本网址
https://pressmonitor.com/api 身份验证
所有请求都需要 x-api-key 和 x-subscription-id 标头。x-api-key 验证您的账户;x-subscription-id 选择订阅的服务。
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/google_autocomplete Google Search Autocomplétion
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| text | string | query | 是 | Query text |
代码示例
curl -X GET \
"https://pressmonitor.com/api/google_autocomplete?text=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/google_search_web Google Search Recherche Web
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| text | string | query | 是 | Query text |
| region | string | query | 不 | Region code |
| safesearch | string | query | 不 | SafeSearch filter |
| timelimit | string | query | 不 | Time limit |
| max_results | integer | query | 不 | Maximum number of results |
代码示例
curl -X GET \
"https://pressmonitor.com/api/google_search_web?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/google_search_news Google Search Recherche Actualités
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| text | string | query | 是 | Query text |
| region | string | query | 不 | Region code |
| max_results | integer | query | 不 | Maximum number of results |
代码示例
curl -X GET \
"https://pressmonitor.com/api/google_search_news?text=VALUE®ion=VALUE&max_results=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/google_search_images Google Search Recherche Images
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| text | string | query | 是 | Query text |
| region | string | query | 不 | Region code |
| safesearch | string | query | 不 | SafeSearch filter |
| timelimit | string | query | 不 | Time limit |
| max_results | integer | query | 不 | Maximum number of results |
| color | string | query | 不 | Color |
| size | string | query | 不 | Size |
| image_type | string | query | 不 | Image type |
| layout | string | query | 不 | Layout |
代码示例
curl -X GET \
"https://pressmonitor.com/api/google_search_images?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&color=VALUE&size=VALUE&image_type=VALUE&layout=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/google_search_videos Google Search Recherche Vidéos
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| text | string | query | 是 | Query text |
| region | string | query | 不 | Region code |
| safesearch | string | query | 不 | SafeSearch filter |
| timelimit | string | query | 不 | Time limit |
| max_results | integer | query | 不 | Maximum number of results |
| resolution | string | query | 不 | Resolution |
| duration | string | query | 不 | Duration |
代码示例
curl -X GET \
"https://pressmonitor.com/api/google_search_videos?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&resolution=VALUE&duration=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/google_search_maps Google Search Recherche Cartes
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| text | string | query | 是 | Query text |
| place | string | query | 不 | Place |
| street | string | query | 不 | Street |
| city | string | query | 不 | City |
| state | string | query | 不 | State |
| country | string | query | 不 | Country code |
| postalcode | string | query | 不 | Postalcode |
| latitude | string | query | 不 | Latitude |
| longitude | string | query | 不 | Longitude |
| radius | string | query | 不 | Radius |
代码示例
curl -X GET \
"https://pressmonitor.com/api/google_search_maps?text=VALUE&place=VALUE&street=VALUE&city=VALUE&state=VALUE&country=VALUE&postalcode=VALUE&latitude=VALUE&longitude=VALUE&radius=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
